# Generated by rust2rpm 10
%bcond_without check
%global debug_package %{nil}

%global crate vte

Name:           rust-%{crate}
Version:        0.3.3
Release:        3%{?dist}
Summary:        Parser for implementing terminal emulators

# Upstream license specification: Apache-2.0 OR MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/vte
Source:         %{crates_source}
# Initial patched metadata
# * Do not ship some random binaries
Patch0:         vte-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Parser for implementing virtual terminal emulators in Rust.

The parser is implemented according to Paul Williams' ANSI parser state
machine. The state machine doesn't assign meaning to the parsed data and is
thus not itself sufficient for writing a terminal emulator. Instead, it is
expected that an implementation of the Perform trait which does something
useful with the parsed data. The Parser handles the book keeping, and the
Perform gets to simply handle actions.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%doc CHANGELOG.md README.md
%license LICENSE-APACHE LICENSE-MIT
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# Fix broken example
mv foos benches
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 20 18:59:32 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.3-2
- Regenerate

* Sat Apr 13 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.3-1
- Initial package
